# profile/bitset File Reference

Go to the source code of this file.

## Classes

- class std::__profile::bitset< _Nb >
    Class std::bitset wrapper with performance instrumentation. More...
- struct std::hash< __profile::bitset< _Nb > >
    std::hash specialization for bitset. More...

## Namespaces

- namespace std
- namespace std::__profile

## Functions

- template<size_t _Nb> bitset< _Nb > std::__profile::operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<typename _CharT , typename _Traits , size_t _Nb> std::basic_ostream< _CharT,
  _Traits > & std::__profile::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
- template<typename _CharT , typename _Traits , size_t _Nb> std::basic_istream< _CharT,
  _Traits > & std::__profile::operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
- template<size_t _Nb> bitset< _Nb > std::__profile::operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<size_t _Nb> bitset< _Nb > std::__profile::operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/bitset.